[data-block=header] .header,
[data-block=body] .bodytext,
.control-text-inner {
  --bs-spc-1: 1rem;
  --bs-scale-1: 1;
}
[data-block=header] .header > *,
[data-block=body] .bodytext > *,
.control-text-inner > * {
  margin-top: inherit;
  margin-bottom: inherit;
}
[data-block=header] .header > *:not([class*=my-]):not([class*=mt-]),
[data-block=body] .bodytext > *:not([class*=my-]):not([class*=mt-]),
.control-text-inner > *:not([class*=my-]):not([class*=mt-]) {
  margin-top: calc(var(--bs-spc-1) * var(--bs-scale-1));
}
[data-block=header] .header > *:first-child:not([class*=my-]):not([class*=mt-]),
[data-block=body] .bodytext > *:first-child:not([class*=my-]):not([class*=mt-]),
.control-text-inner > *:first-child:not([class*=my-]):not([class*=mt-]) {
  margin-top: 0;
}
[data-block=header] .header > *:last-child:not([class*=mb-]),
[data-block=body] .bodytext > *:last-child:not([class*=mb-]),
.control-text-inner > *:last-child:not([class*=mb-]) {
  margin-bottom: 0;
}
[data-block=header] .header > *:only-child:not([class*=my-]):not([class*=mt-]),
[data-block=body] .bodytext > *:only-child:not([class*=my-]):not([class*=mt-]),
.control-text-inner > *:only-child:not([class*=my-]):not([class*=mt-]) {
  margin-top: 0;
}
[data-block=header] .header > *:only-child:not([class*=mb-]),
[data-block=body] .bodytext > *:only-child:not([class*=mb-]),
.control-text-inner > *:only-child:not([class*=mb-]) {
  margin-bottom: 0;
}
[data-block=header] .header > *.mb-none + *:not([class*=my-]):not([class*=mt-]),
[data-block=body] .bodytext > *.mb-none + *:not([class*=my-]):not([class*=mt-]),
.control-text-inner > *.mb-none + *:not([class*=my-]):not([class*=mt-]) {
  margin-top: 0;
}
[data-block=header] .header > *.my-none + *:not([class*=my-]):not([class*=mt-]),
[data-block=body] .bodytext > *.my-none + *:not([class*=my-]):not([class*=mt-]),
.control-text-inner > *.my-none + *:not([class*=my-]):not([class*=mt-]) {
  margin-top: 0;
}
@media (min-width: 576px) {
  [data-block=header] .header > *.mb-sm-none + *:not([class*=my-]):not([class*=mt-]),
  [data-block=body] .bodytext > *.mb-sm-none + *:not([class*=my-]):not([class*=mt-]),
  .control-text-inner > *.mb-sm-none + *:not([class*=my-]):not([class*=mt-]) {
    margin-top: 0;
  }
  [data-block=header] .header > *.my-sm-none + *:not([class*=my-]):not([class*=mt-]),
  [data-block=body] .bodytext > *.my-sm-none + *:not([class*=my-]):not([class*=mt-]),
  .control-text-inner > *.my-sm-none + *:not([class*=my-]):not([class*=mt-]) {
    margin-top: 0;
  }
}
@media (min-width: 768px) {
  [data-block=header] .header > *.mb-md-none + *:not([class*=my-]):not([class*=mt-])
  [data-block=body] .bodytext > *.mb-md-none + *:not([class*=my-]):not([class*=mt-])
  .control-text-inner > *.mb-md-none + *:not([class*=my-]):not([class*=mt-]) 
    margin-top: 0;
  }
  [data-block=header] .header > *.my-md-none + *:not([class*=my-]):not([class*=mt-]),
  [data-block=body] .bodytext > *.my-md-none + *:not([class*=my-]):not([class*=mt-]),
  .control-text-inner > *.my-md-none + *:not([class*=my-]):not([class*=mt-]) {
    margin-top: 0;
  }
}
@media (min-width: 992px) {
  [data-block=header] .header > *.mb-lg-none + *:not([class*=my-]):not([class*=mt-]),
  [data-block=body] .bodytext > *.mb-lg-none + *:not([class*=my-]):not([class*=mt-]),
  .control-text-inner > *.mb-lg-none + *:not([class*=my-]):not([class*=mt-]) {
    margin-top: 0;
  }
  [data-block=header] .header > *.my-lg-none + *:not([class*=my-]):not([class*=mt-]),
  [data-block=body] .bodytext > *.my-lg-none + *:not([class*=my-]):not([class*=mt-]),
  .control-text-inner > *.my-lg-none + *:not([class*=my-]):not([class*=mt-]) {
    margin-top: 0;
  }
}
@media (min-width: 1200px) {
  [data-block=header] .header > *.mb-xl-none + *:not([class*=my-]):not([class*=mt-]),
  [data-block=body] .bodytext > *.mb-xl-none + *:not([class*=my-]):not([class*=mt-]),
  .control-text-inner > *.mb-xl-none + *:not([class*=my-]):not([class*=mt-]) {
    margin-top: 0;
  }
  [data-block=header] .header > *.my-xl-none + *:not([class*=my-]):not([class*=mt-]),
  [data-block=body] .bodytext > *.my-xl-none + *:not([class*=my-]):not([class*=mt-]),
  .control-text-inner > *.my-xl-none + *:not([class*=my-]):not([class*=mt-]) {
    margin-top: 0;
  }
}
@media (min-width: 1400px) {
  [data-block=header] .header > *.mb-xxl-none + *:not([class*=my-]):not([class*=mt-]),
  [data-block=body] .bodytext > *.mb-xxl-none + *:not([class*=my-]):not([class*=mt-]),
  .control-text-inner > *.mb-xxl-none + *:not([class*=my-]):not([class*=mt-]) {
    margin-top: 0;
  }
  [data-block=header] .header > *.my-xxl-none + *:not([class*=my-]):not([class*=mt-]),
  [data-block=body] .bodytext > *.my-xxl-none + *:not([class*=my-]):not([class*=mt-]),
  .control-text-inner > *.my-xxl-none + *:not([class*=my-]):not([class*=mt-]) {
    margin-top: 0;
  }
}
